For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all accounting entities
        • GETGet accounting entity by id
        • GETGet all invoices
        • GETGet an invoice by ID
        • POSTCreate Invoice: MRI
        • PUTUpdate Invoice: MRI
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIInvoices

Create Invoice: MRI

POST
/v1/invoices/mri/
POST
/v1/invoices/mri/
$curl -X POST https://api.propexo.com/v1/invoices/mri/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
> "vendor_id": "vend-1234567890abcdef",
> "partner_name": "MRI Property Management",
> "invoice_number": "INV-20240115-7890",
> "post_month": "2024-01-15T09:30:00Z",
> "invoice_items": [
> {
> "accounting_entity_id": "acct-9876543210fedcba",
> "financial_account_id": "fin-1122334455667788",
> "total_amount_in_cents": 125000,
> "notes": "Monthly maintenance services for January 2024"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240115-abcdef1234567890"
4 },
5 "result": {
6 "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
7 "vendor_id": "vend-1234567890abcdef",
8 "partner_name": "MRI Property Management",
9 "invoice_number": "INV-20240115-7890",
10 "post_month": "2024-01-15T09:30:00Z",
11 "invoice_items": [
12 {
13 "accounting_entity_id": "acct-9876543210fedcba",
14 "financial_account_id": "fin-1122334455667788",
15 "total_amount_in_cents": 125000,
16 "notes": "Monthly maintenance services for January 2024",
17 "item_number": 1,
18 "description": "Building maintenance and repairs"
19 }
20 ],
21 "invoice_date": "2024-01-15T09:30:00Z",
22 "due_date": "2024-02-14T23:59:59Z",
23 "total_amount_in_cents": 125000,
24 "description": "Invoice for January 2024 maintenance services",
25 "scanned_copy_url": "https://documents.mri.com/invoices/INV-20240115-7890.pdf",
26 "purchase_order_number": "PO-20231230-4567",
27 "separate_check": false
28 }
29}
Create Invoice: MRI | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMAP_CreateInvoice | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Update Invoice: MRI

Next
Built with

Create Invoice: MRI

Method
/mriapiservices/api.asp?$api=MRI_S-PMAP_CreateInvoice
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
vendor_idstringRequired
The Propexo unique identifier for the vendor
partner_namestringRequired
The name of your integration with MRI
invoice_numberstringRequired
The invoice or reference number that the vendor assigned to the service request
post_monthstringRequired
The post month for the invoice. We will strip all data out of the datetime except the year and month.
invoice_itemslist of objectsRequired
invoice_datestringOptional
The date of issuance for the invoice
due_datestringOptional
The due date associated with the invoice
total_amount_in_centsintegerOptional>=0
The total amount of the invoice
descriptionstringOptional
Description of the invoice
scanned_copy_urlstringOptional

The URL assigned to the copy of the original invoice that was imported from a third-party system

purchase_order_numberstringOptional
Set this parameter to the purchase order number that contains the line items to be invoiced. MRI will validate and link the invoice to the specified purchase order for processing.
separate_checkbooleanOptional
Whether to group the invoice payment on the same check with other invoices or pay the invoice separately on its own check

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error